org.eclipse.mat.hprof.describer

## Class HprofGZIPContentDescriber

- java.lang.Object
- - org.eclipse.mat.hprof.describer.HprofGZIPContentDescriber

All Implemented Interfaces:
  org.eclipse.core.runtime.content.IContentDescriber

    public class HprofGZIPContentDescriber
    extends Object
    implements org.eclipse.core.runtime.content.IContentDescriber

### Field Summary

### Fields inherited from interface org.eclipse.core.runtime.content.IContentDescriber

`INDETERMINATE, INVALID, VALID`

### Constructor Summary

Constructors
Constructor and Description
`HprofGZIPContentDescriber()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `describe(InputStream contents, org.eclipse.core.runtime.content.IContentDescription description)`
`org.eclipse.core.runtime.QualifiedName[]` `getSupportedOptions()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HprofGZIPContentDescriber

    public HprofGZIPContentDescriber()

### Method Detail

#### describe

    public int describe(InputStream contents,
                        org.eclipse.core.runtime.content.IContentDescription description)
                 throws IOException

Specified by:
  `describe` in interface `org.eclipse.core.runtime.content.IContentDescriber`
Throws:
  `IOException`

#### getSupportedOptions

    public org.eclipse.core.runtime.QualifiedName[] getSupportedOptions()

Specified by:
  `getSupportedOptions` in interface `org.eclipse.core.runtime.content.IContentDescriber`